#!/bin/bash

# script for executing benchmark for high contention, low conflict

# create/clear benchmark subdirectory
mkdir -p hclc
rm -rf hclc/*

# copy raw files to correct location
cp /home/kreft/benchmark/benchmarks/fill_hclc_sqlite ./fill.txt
cp /home/kreft/benchmark/benchmarks/mixed_hclc_sqlite ./mixed.txt

echo "Executing hclc benchmark"
for run in 1 2 3 4 5
do
  echo "Executing run $run"
	cat benchmark_run.txt | ../sqlite_binary ":memory:" >> ./hclc/messung.txt
	echo "Executing run $run with index"
	cat benchmark_run_index.txt | ../sqlite_binary ":memory:" >> ./hclc/messung_index.txt
done